# Class AuxLineStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.LineStyle
uk.ac.starlink.ttools.plot2.layer.AuxLineStyle

All Implemented Interfaces:
  `Style`

Direct Known Subclasses:
  `LinePlotter.LinesStyle`

public class AuxLineStyle extends LineStyle
LineStyle subclass that can vary the line's colour along its length.

Since:
  24 Jul 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AuxLineStyle(Color color, Stroke stroke, boolean antialias, Shader shader, Scaling scaling, Subrange dataclip, Color nullColor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Subrange`
`getDataClip()`
Returns the adjustment for the input data scale.
`Color`
`getNullColor()`
Returns the colour to use for null aux values.
`Scaling`
`getScaling()`
Returns the colour scaling.
`Shader`
`getShader()`
Returns the shader.
`int`
`hashCode()`

### Methods inherited from class LineStyle

`createLineTracer, getAntialias, getColor, getLegendIcon, getStroke`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuxLineStyle

public AuxLineStyle(Color color, Stroke stroke, boolean antialias, Shader shader, Scaling scaling, Subrange dataclip, Color nullColor)
Constructor.

Parameters:
  `color` - line colour
  `stroke` - line stroke
  `antialias` - whether line is to be antialiased (only likely to make a difference on bitmapped paper)
  `shader` - colour ramp
  `scaling` - colour ramp metric
  `dataclip` - colour ramp input data subrange
  `nullColor` - colour to use for null aux values; if null, such segments are not plotted

## Method Details

### getShader

public Shader getShader()
Returns the shader.

Returns:
  shader

### getScaling

public Scaling getScaling()
Returns the colour scaling.

Returns:
  scaling

### getDataClip

public Subrange getDataClip()
Returns the adjustment for the input data scale.

Returns:
  data clipping subrange

### getNullColor

public Color getNullColor()
Returns the colour to use for null aux values.

Returns:
  null colour

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `LineStyle`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `LineStyle`